
#define _GNU_SOURCE // required to use getline
#include <stdio.h>
#include <stdlib.h>

extern char* escapeHtml(char* htmlString);

int main(int argc, char** argv) {
  --argc; ++argv;
  FILE* fp;
  char* lineBuf = NULL; 
  size_t lineBufLen = 0;
  if (argc != 0) {
    fp = fopen(*argv, "r");
    if (!fp) {
      perror(*argv);
      return 1;
    }
  } else {
    fp = stdin;
  }
  while (getline(&lineBuf, &lineBufLen, fp) != -1) {
    char* escaped = escapeHtml(lineBuf); 
    fputs(escaped, stdout);
    free(escaped);
  }
  free(lineBuf);
  if (argc != 0) {
    fclose(fp); 
  }
  return 0; 
}

