
#include "gtest/gtest.h"

extern "C" int isPasswordOK(const char*);


TEST(PasswdTest, invalid_length5) {
  ASSERT_FALSE(isPasswordOK("12345"));
}

TEST(PasswdTest, invalid_length13) {
  ASSERT_FALSE(isPasswordOK("1234567890Ab!"));
}

TEST(PasswdTest, invalid_length10_more_than_one_punct) {
  ASSERT_FALSE(isPasswordOK("123456Ab!?"));
}

TEST(PasswdTest, valid_length6_no_punct) {
  ASSERT_TRUE(isPasswordOK("1234Ab"));
}

TEST(PasswdTest, valid_length12_no_punct) {
  ASSERT_TRUE(isPasswordOK("123456789Abc"));
}

TEST(PasswdTest, valid_length12_with_punct) {
  ASSERT_TRUE(isPasswordOK("123456789Ab!"));
}




int main(int argc, char **argv) {
  ::testing::InitGoogleTest(&argc, argv);
  return RUN_ALL_TESTS();
}
